> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# バッチスクレイプのステータス取得

> Firecrawl API key が必要な AI エージェントですか？自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) をご覧ください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /batch/scrape/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /batch/scrape/{id}:
    parameters:
      - description: バッチスクレイピングジョブのID
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Scraping
      summary: バッチスクレイピングジョブのステータスを取得する
      operationId: getBatchScrapeStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchScrapeStatusResponseObj'
          description: 成功時のレスポンス
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: 支払いが必要です
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
                    type: string
                type: object
          description: リクエスト数が多すぎます
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    BatchScrapeStatusResponseObj:
      properties:
        completed:
          description: 正常にスクレイピングされたページ数。
          type: integer
        completedAt:
          description: >-
            バッチスクレイプの終了日時。バッチスクレイプが終了状態（`completed`、`failed`、`cancelled`）の場合にのみ設定されます。
          format: date-time
          type: string
        createdAt:
          description: バッチスクレイプの開始日時。
          format: date-time
          type: string
        creditsUsed:
          description: バッチスクレイプに使用されたクレジット数。
          type: integer
        data:
          description: バッチスクレイピングのデータ。
          items:
            properties:
              html:
                description: '`includeHtml` が true の場合に返されるページコンテンツの HTML バージョン'
                nullable: true
                type: string
              links:
                description: '`includeLinks` が true の場合のページ上のリンク一覧'
                items:
                  type: string
                type: array
              markdown:
                type: string
              metadata:
                properties:
                  '<any other metadata> ':
                    type: string
                  concurrencyLimited:
                    description: このスクレイピングがTeamの同時実行数制限によりスロットルされたかどうか
                    type: boolean
                  concurrencyQueueDurationMs:
                    description: >-
                      リクエストが同時実行キューで待機した時間（ミリ秒）。concurrencyLimited が true
                      の場合にのみ含まれます。
                    type: number
                  description:
                    description: ページから抽出された説明。文字列または文字列の配列になり得ます
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  error:
                    description: ページのエラーメッセージ
                    nullable: true
                    type: string
                  keywords:
                    description: ページから抽出されたキーワード。文字列または文字列の配列となる場合があります
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  language:
                    description: ページから抽出された言語。文字列または文字列の配列のいずれかです
                    nullable: true
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  numPages:
                    description: PDF入力の場合、解析されたページ数（パーサーの maxPages オプションで上限が設定されます）。
                    type: integer
                  ogLocaleAlternate:
                    description: ページの他のロケール
                    items:
                      type: string
                    type: array
                  sourceURL:
                    description: リクエストされた元のURL。リダイレクトが発生した場合、ページの最終URLと異なる場合があります。
                    format: uri
                    type: string
                  statusCode:
                    description: ページのステータスコード
                    type: integer
                  title:
                    description: ページから抽出されたタイトル。文字列または文字列の配列を取ることがあります
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  totalPages:
                    description: >-
                      PDF入力の場合、maxPages
                      の上限が適用される前の実際の総ページ数。判別できない場合は省略されます。totalPages が numPages
                      を上回る場合、結果は途中で切り詰められています。
                    type: integer
                  url:
                    description: すべてのリダイレクトをたどった後に到達するページの最終的なURL。
                    format: uri
                    type: string
                type: object
              rawHtml:
                description: '`includeRawHtml` が true の場合に取得されるページの生の HTML コンテンツ'
                nullable: true
                type: string
              screenshot:
                description: '`includeScreenshot` が true の場合のページのスクリーンショット'
                nullable: true
                type: string
            type: object
          type: array
        duration:
          description: >-
            バッチスクレイプの所要時間（秒）。終了済みのバッチスクレイプでは `createdAt` から `completedAt`
            までの経過時間、進行中のバッチスクレイプでは `createdAt` から現在までの経過時間を示します。
          type: number
        expiresAt:
          description: バッチスクレイピングの有効期限が切れる日時。
          format: date-time
          type: string
        next:
          description: >-
            次の 10MB のデータを取得するための URL。バッチスクレイピングが完了していない場合、または応答が 10MB
            を超える場合に返されます。
          nullable: true
          type: string
        status:
          description: バッチスクレイプの現在のステータスです。`scraping`、`completed`、`failed` のいずれかです。
          type: string
        total:
          description: スクレイピングを試みたページ数の合計。
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````